lkml.org 
[lkml]   [2010]   [Jan]   [27]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
Subjectlinux-next: pci tree build failure
Hi Jesse,

Today's linux-next build (powerpc allyesconfig) failed like this:

In file included from drivers/pci/pcie/pme/pcie_pme.c:22:
include/linux/pci-acpi.h:42: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'acpi_find_root_bridge_handle'

You seem to have lost the patch below which I have reapplied for today.

From: Stephen Rothwell <sfr@canb.auug.org.au>
Date: Mon, 18 Jan 2010 19:36:11 +1100
Subject: [PATCH] pci: PCIE_PME seems to depend on ACPI

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
---
drivers/pci/pcie/Kconfig | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/drivers/pci/pcie/Kconfig b/drivers/pci/pcie/Kconfig
index cf3c35f..b8b494b 100644
--- a/drivers/pci/pcie/Kconfig
+++ b/drivers/pci/pcie/Kconfig
@@ -49,4 +49,4 @@ config PCIEASPM_DEBUG

config PCIE_PME
def_bool y
- depends on PCIEPORTBUS && PM_RUNTIME && EXPERIMENTAL
+ depends on PCIEPORTBUS && PM_RUNTIME && EXPERIMENTAL && ACPI
--
1.6.6
--
Cheers,
Stephen Rothwell sfr@canb.auug.org.au
http://www.canb.auug.org.au/~sfr/


\
 
 \ /
  Last update: 2010-01-27 07:51    [from the cache]
©2003-2011 Jasper Spaans